Merge remote-tracking branch 'upstream/master' into staging

This commit is contained in:
Tuomas Tynkkynen 2017-03-20 07:07:03 +02:00
commit 72dc9c7f80
35 changed files with 666 additions and 201 deletions

View file

@ -2,7 +2,17 @@ let requiredVersion = import ./lib/minver.nix; in
if ! builtins ? nixVersion || builtins.compareVersions requiredVersion builtins.nixVersion == 1 then
abort "This version of Nixpkgs requires Nix >= ${requiredVersion}, please upgrade! See https://nixos.org/wiki/How_to_update_when_Nix_is_too_old_to_evaluate_Nixpkgs"
abort ''
This version of Nixpkgs requires Nix >= ${requiredVersion}, please upgrade:
- If you are running NixOS, use `nixos-rebuild' to upgrade your system.
- If you installed Nix using the install script (https://nixos.org/nix/install),
it is safe to upgrade by running it again:
curl https://nixos.org/nix/install | sh
''
else

View file

@ -82,6 +82,7 @@
bzizou = "Bruno Bzeznik <Bruno@bzizou.net>";
c0dehero = "CodeHero <codehero@nerdpol.ch>";
calrama = "Moritz Maxeiner <moritz@ucworks.org>";
calvertvl = "Victor Calvert <calvertvl@gmail.com>";
campadrenalin = "Philip Horger <campadrenalin@gmail.com>";
canndrew = "Andrew Cann <shum@canndrew.org>";
carlsverre = "Carl Sverre <accounts@carlsverre.com>";
@ -456,6 +457,7 @@
scolobb = "Sergiu Ivanov <sivanov@colimite.fr>";
sepi = "Raffael Mancini <raffael@mancini.lu>";
seppeljordan = "Sebastian Jordan <sebastian.jordan.mail@googlemail.com>";
shanemikel = "Shane Pearlman <shanemikel1@gmail.com>";
sheenobu = "Sheena Artrip <sheena.artrip@gmail.com>";
sheganinans = "Aistis Raulinaitis <sheganinans@gmail.com>";
shell = "Shell Turner <cam.turn@gmail.com>";
@ -541,6 +543,7 @@
wscott = "Wayne Scott <wsc9tt@gmail.com>";
wyvie = "Elijah Rum <elijahrum@gmail.com>";
xnwdd = "Guillermo NWDD <nwdd+nixos@no.team>";
xvapx = "Marti Serra <marti.serra.coscollano@gmail.com>";
xwvvvvwx = "David Terry <davidterry@posteo.de>";
yarr = "Dmitry V. <savraz@gmail.com>";
yochai = "Yochai <yochai@titat.info>";

277
maintainers/scripts/nix-diff.sh Executable file
View file

@ -0,0 +1,277 @@
#!/usr/bin/env nix-shell
#! nix-shell -i bash -p coreutils gnugrep gnused
################################################################################
# nix-diff.sh #
################################################################################
# This script "diffs" Nix profile generations. #
# #
# Example: #
################################################################################
# > nix-diff.sh 90 92 #
# + gnumake-4.2.1 #
# + gnumake-4.2.1-doc #
# - htmldoc-1.8.29 #
################################################################################
# The example shows that as of generation 92 and since generation 90, #
# gnumake-4.2.1 and gnumake-4.2.1-doc have been installed, while #
# htmldoc-1.8.29 has been removed. #
# #
# The example above shows the default, minimal output mode of this script. #
# For more features, run `nix-diff.sh -h` for usage instructions. #
################################################################################
usage() {
cat <<EOF
usage: nix-diff.sh [-h | [-p profile | -s] [-q] [-l] [range]]
-h: print this message before exiting
-q: list the derivations installed in the parent generation
-l: diff every available intermediate generation between parent and
child
-p profile: specify the Nix profile to use
* defaults to ~/.nix-profile
-s: use the system profile
* equivalent to: -p /nix/var/nix/profiles/system
profile: * should be something like /nix/var/nix/profiles/default, not a
generation link like /nix/var/nix/profiles/default-2-link
range: the range of generations to diff
* the following patterns are allowed, where A, B, and N are positive
integers, and G is the currently active generation:
A..B => diffs from generation A to generation B
~N => diffs from the Nth newest generation (older than G) to G
A => diffs from generation A to G
* defaults to ~1
EOF
}
usage_tip() {
echo 'run `nix-diff.sh -h` for usage instructions' >&2
exit 1
}
while getopts :hqlp:s opt; do
case $opt in
h)
usage
exit
;;
q)
opt_query=1
;;
l)
opt_log=1
;;
p)
opt_profile=$OPTARG
;;
s)
opt_profile=/nix/var/nix/profiles/system
;;
\?)
echo "error: invalid option -$OPTARG" >&2
usage_tip
;;
esac
done
shift $((OPTIND-1))
if [ -n "$opt_profile" ]; then
if ! [ -L "$opt_profile" ]; then
echo "error: expecting \`$opt_profile\` to be a symbolic link" >&2
usage_tip
fi
else
opt_profile=$(readlink ~/.nix-profile)
if (( $? != 0 )); then
echo 'error: unable to dereference `~/.nix-profile`' >&2
echo 'specify the profile manually with the `-p` flag' >&2
usage_tip
fi
fi
list_gens() {
nix-env -p "$opt_profile" --list-generations \
| sed -r 's:^\s*::' \
| cut -d' ' -f1
}
current_gen() {
nix-env -p "$opt_profile" --list-generations \
| grep -E '\(current\)\s*$' \
| sed -r 's:^\s*::' \
| cut -d' ' -f1
}
neg_gen() {
local i=0 from=$1 n=$2 tmp
for gen in $(list_gens | sort -rn); do
if ((gen < from)); then
tmp=$gen
((i++))
((i == n)) && break
fi
done
if ((i < n)); then
echo -n "error: there aren't $n generation(s) older than" >&2
echo " generation $from" >&2
return 1
fi
echo $tmp
}
match() {
argv=("$@")
for i in $(seq $(($#-1))); do
if grep -E "^${argv[$i]}\$" <(echo "$1") >/dev/null; then
echo $i
return
fi
done
echo 0
}
case $(match "$1" '' '[0-9]+' '[0-9]+\.\.[0-9]+' '~[0-9]+') in
1)
diffTo=$(current_gen)
diffFrom=$(neg_gen $diffTo 1)
(($? == 1)) && usage_tip
;;
2)
diffFrom=$1
diffTo=$(current_gen)
;;
3)
diffFrom=${1%%.*}
diffTo=${1##*.}
;;
4)
diffTo=$(current_gen)
diffFrom=$(neg_gen $diffTo ${1#*~})
(($? == 1)) && usage_tip
;;
0)
echo 'error: invalid invocation' >&2
usage_tip
;;
esac
dirA="${opt_profile}-${diffFrom}-link"
dirB="${opt_profile}-${diffTo}-link"
declare -a temp_files
temp_length() {
echo -n ${#temp_files[@]}
}
temp_make() {
temp_files[$(temp_length)]=$(mktemp)
}
temp_clean() {
rm -f ${temp_files[@]}
}
temp_name() {
echo -n "${temp_files[$(($(temp_length)-1))]}"
}
trap 'temp_clean' EXIT
temp_make
versA=$(temp_name)
refs=$(nix-store -q --references "$dirA")
(( $? != 0 )) && exit 1
echo "$refs" \
| grep -v env-manifest.nix \
| sort \
> "$versA"
print_tag() {
local gen=$1
nix-env -p "$opt_profile" --list-generations \
| grep -E "^\s*${gen}" \
| sed -r 's:^\s*::' \
| sed -r 's:\s*$::'
}
if [ -n "$opt_query" ]; then
print_tag $diffFrom
cat "$versA" \
| sed -r 's:^[^-]+-(.*)$: \1:'
print_line=1
fi
if [ -n "$opt_log" ]; then
gens=$(for gen in $(list_gens); do
((diffFrom < gen && gen < diffTo)) && echo $gen
done)
# Force the $diffTo generation to be included in this list, instead of using
# `gen <= diffTo` in the preceding loop, so we encounter an error upon the
# event of its nonexistence.
gens=$(echo "$gens"
echo $diffTo)
else
gens=$diffTo
fi
temp_make
add=$(temp_name)
temp_make
rem=$(temp_name)
temp_make
out=$(temp_name)
for gen in $gens; do
[ -n "$print_line" ] && echo
temp_make
versB=$(temp_name)
dirB="${opt_profile}-${gen}-link"
refs=$(nix-store -q --references "$dirB")
(( $? != 0 )) && exit 1
echo "$refs" \
| grep -v env-manifest.nix \
| sort \
> "$versB"
in=$(comm -3 -1 "$versA" "$versB")
sed -r 's:^[^-]*-(.*)$:\1+:' <(echo "$in") \
| sort -f \
> "$add"
un=$(comm -3 -2 "$versA" "$versB")
sed -r 's:^[^-]*-(.*)$:\1-:' <(echo "$un") \
| sort -f \
> "$rem"
cat "$rem" "$add" \
| sort -f \
| sed -r 's:(.*)-$:- \1:' \
| sed -r 's:(.*)\+$:\+ \1:' \
| grep -v '^$' \
> "$out"
if [ -n "$opt_query" -o -n "$opt_log" ]; then
lines=$(wc -l "$out" | cut -d' ' -f1)
tag=$(print_tag "$gen")
(( $? != 0 )) && exit 1
if [ $lines -eq 0 ]; then
echo "$tag (no change)"
else
echo "$tag"
fi
cat "$out" \
| sed 's:^: :'
print_line=1
else
echo "diffing from generation $diffFrom to $diffTo"
cat "$out"
fi
versA=$versB
done
exit 0

View file

@ -27,9 +27,7 @@ let
''}
dbms.shell.enabled=true
${cfg.extraServerConfig}
'';
wrapperConfig = pkgs.writeText "neo4j-wrapper.conf" ''
# Default JVM parameters from neo4j.conf
dbms.jvm.additional=-XX:+UseG1GC
dbms.jvm.additional=-XX:-OmitStackTraceInFastThrow
@ -135,12 +133,11 @@ in {
preStart = ''
mkdir -m 0700 -p ${cfg.dataDir}/{data/graph.db,conf,logs}
ln -fs ${serverConfig} ${cfg.dataDir}/conf/neo4j.conf
ln -fs ${wrapperConfig} ${cfg.dataDir}/conf/neo4j-wrapper.conf
if [ "$(id -u)" = 0 ]; then chown -R neo4j ${cfg.dataDir}; fi
'';
};
environment.systemPackages = [ pkgs.neo4j ];
environment.systemPackages = [ cfg.package ];
users.extraUsers = singleton {
name = "neo4j";

View file

@ -1,12 +1,12 @@
{ stdenv, fetchurl } :
stdenv.mkDerivation rec {
version = "4.2";
version = "4.4";
name = "joe-${version}";
src = fetchurl {
url = "mirror://sourceforge/joe-editor/${name}.tar.gz";
sha256 = "0x39x0qrwdbhl45wd8r8cpzigsip6m5j2crajsrbffk8qm5scpdw";
sha256 = "0y898r1xlrv75m00y598rvwwsricabplyh80wawsqafapcl4hw55";
};
meta = with stdenv.lib; {

View file

@ -1,35 +0,0 @@
--- configure.old 2013-07-30 19:42:51.000000000 +0200
+++ configure 2013-07-30 19:47:26.000000000 +0200
@@ -163,31 +163,7 @@
echo 'Fails.'
fi
-
-if [ ! -r /usr/include/term.h ]; then
- note 'term.h'
- if [ -r /usr/include/ncurses/term.h ]; then
- echo "Found in /usr/include/ncurses"
- extraflags="$extraflags -I/usr/include/ncurses"
- else
- for i in pkg local; do
- if [ -r /usr/$i/include/term.h ]; then
- echo "Found in /usr/$i/include"
- extralibs="$extralibs -L/usr/$i/lib"
- extraflags="$extraflags -I/usr/$i/include"
- break
- else
- false
- fi
- done ||
- {
- echo 'Not found!' >&2
- echo 'Do you have the ncurses devel package installed?' >&2
- echo 'If you know where term.h is, please email the author!' >&2
- exit 1
- }
- fi
-fi
+extraflags="$extraflags $NIX_CFLAGS_COMPILE"
note 'base and dirname'
if gcc_defines "__GLIBC__" || gcc_defines "__CYGWIN__" ; then

View file

@ -1,19 +1,19 @@
{ fetchurl, stdenv, ncurses }:
{ fetchurl, stdenv, ncurses, pkgconfig, libbsd }:
stdenv.mkDerivation rec {
name = "mg-20110905";
name = "mg-${version}";
version = "20161005";
src = fetchurl {
url = http://homepage.boetes.org/software/mg/mg-20110905.tar.gz;
sha256 = "0ac2c7wy5kkcflm7cmiqm5xhb5c4yfw3i33iln8civ1yd9z7vlqw";
url = "http://homepage.boetes.org/software/mg/${name}.tar.gz";
sha256 = "0qaydk2cy765n9clghmi5gdnpwn15y2v0fj6r0jcm0v7d89vbz5p";
};
dontAddPrefix = true;
patches = [ ./configure.patch ];
patchFlags = "-p0";
NIX_CFLAGS_COMPILE = "-Wno-error";
buildFlags = [ "CC=cc" ];
preConfigure = ''
substituteInPlace GNUmakefile \
--replace /usr/bin/pkg-config ${pkgconfig}/bin/pkg-config
'';
installPhase = ''
mkdir -p $out/bin
@ -22,12 +22,13 @@ stdenv.mkDerivation rec {
cp mg.1 $out/share/man/man1
'';
buildInputs = [ ncurses ];
nativeBuildInputs = [ pkgconfig ];
buildInputs = [ ncurses libbsd ];
meta = {
meta = with stdenv.lib; {
homepage = http://homepage.boetes.org/software/mg/;
description = "Micro GNU/emacs, a portable version of the mg maintained by the OpenBSD team";
license = stdenv.lib.licenses.publicDomain;
platforms = stdenv.lib.platforms.all;
license = licenses.publicDomain;
platforms = platforms.all;
};
}

View file

@ -17,23 +17,28 @@ let
rev = "17e0de65e1cbba3d6baa82deaefa853b41f5c161";
sha256 = "1g51h65i31andfs2fbp1v3vih9405iknqn11fzywjxji00kjqv5s";
};
in stdenv.mkDerivation rec {
name = "nano-${version}";
version = "2.7.3";
version = "2.7.5";
src = fetchurl {
url = "mirror://gnu/nano/${name}.tar.xz";
sha256 = "1z0bfyc5cvv83l3bjmlcwl49mpxrp65k5ffsfpnayfyjc18fy9nr";
sha256 = "1r37gqx7hppqbgsbclchiis8wzzpb9srm3q3dlvlii2gpkk28kd6";
};
nativeBuildInputs = [ texinfo ] ++ optional enableNls gettext;
buildInputs = [ ncurses ];
outputs = [ "out" "info" ];
configureFlags = ''
--sysconfdir=/etc
${optionalString (!enableNls) "--disable-nls"}
${optionalString enableTiny "--enable-tiny"}
'';
postPatch = stdenv.lib.optionalString stdenv.isDarwin ''
postPatch = optionalString stdenv.isDarwin ''
substituteInPlace src/text.c --replace "__time_t" "time_t"
'';

View file

@ -1,16 +1,18 @@
{ stdenv, fetchurl, xlibsWrapper, motif, libXpm }:
stdenv.mkDerivation rec {
name = "nedit-5.6a";
name = "nedit-${version}";
version = "5.7";
src = fetchurl {
url = "mirror://sourceforge/nedit/nedit-source/${name}-src.tar.gz";
sha256 = "1v8y8vwj3kn91crsddqkz843y6csgw7wkjnd3zdcb4bcrf1pjrsk";
sha256 = "0ym1zhjx9976rf2z5nr7dj4mjkxcicimhs686snjhdcpzxwsrndd";
};
hardeningDisable = [ "format" ];
buildInputs = [ xlibsWrapper motif libXpm ];
nativeBuildInputs = [ xlibsWrapper ];
buildInputs = [ motif libXpm ];
buildFlags = if stdenv.isLinux then "linux" else
# the linux config works fine on darwin too!
@ -24,7 +26,7 @@ stdenv.mkDerivation rec {
'';
meta = with stdenv.lib; {
homepage = http://www.nedit.org;
homepage = http://sourceforge.net/projects/nedit;
platforms = with platforms; linux ++ darwin;
};
}

View file

@ -1,18 +1,16 @@
{ stdenv, fetchurl, pkgconfig, gtk2 }:
let
version = "3.3.7";
version_short = stdenv.lib.replaceChars [ "." ] [ "" ] "${version}";
in stdenv.mkDerivation {
stdenv.mkDerivation rec {
name = "scite-${version}";
version = "3.7.3";
src = fetchurl {
url = "mirror://sourceforge/project/scintilla/SciTE/${version}/scite${version_short}.tgz";
sha256 = "0x7i6yxq50frsjkrp3lc5zy0d1ssq2n91igjn0dmqajpg7kls2dd";
url = "mirror://sourceforge/project/scintilla/SciTE/${version}/scite373.tgz";
sha256 = "05d81h1fqhjlw9apvrni3x2q4a562cd5ra1071qpna8h4ml0an9m";
};
buildInputs = [ pkgconfig gtk2 ];
nativeBuildInputs = [ pkgconfig ];
buildInputs = [ gtk2 ];
sourceRoot = "scintilla/gtk";
buildPhase = ''
@ -25,11 +23,11 @@ in stdenv.mkDerivation {
make install prefix=$out/
'';
meta = {
meta = with stdenv.lib; {
homepage = "http://www.scintilla.org/SciTE.html";
description = "SCIntilla based Text Editor";
license = stdenv.lib.licenses.mit;
platforms = stdenv.lib.platforms.linux;
maintainers = [ stdenv.lib.maintainers.rszibele ];
license = licenses.mit;
platforms = platforms.linux;
maintainers = [ maintainers.rszibele ];
};
}

View file

@ -6,10 +6,10 @@
stdenv.mkDerivation rec {
name = "sigil-${version}";
version = "0.9.6";
version = "0.9.7";
src = fetchFromGitHub {
sha256 = "0hihd5f3avpdvxwp5j80qdg74zbw7p20y6j9q8cw7wd0bak58h9c";
sha256 = "17m2f7pj2sx5rxrbry6wk1lvviy8fi2m270h47sisywnrhddarh7";
rev = version;
repo = "Sigil";
owner = "Sigil-Ebook";
@ -19,11 +19,11 @@ stdenv.mkDerivation rec {
propagatedBuildInputs = with python3Packages; [ lxml ];
nativeBuildInputs = [ cmake pkgconfig makeWrapper ];
buildInputs = [
cmake pkgconfig
boost xercesc qtbase qttools qtwebkit qtxmlpatterns
python3 python3Packages.lxml makeWrapper
];
python3 python3Packages.lxml ];
preFixup = ''
wrapProgram "$out/bin/sigil" \
@ -32,12 +32,11 @@ stdenv.mkDerivation rec {
enableParallelBuilding = true;
meta = {
meta = with stdenv.lib; {
description = "Free, open source, multi-platform ebook (ePub) editor";
homepage = https://github.com/Sigil-Ebook/Sigil/;
license = stdenv.lib.licenses.gpl3;
inherit version;
maintainers = with stdenv.lib.maintainers; [ ramkromberg ];
platforms = with stdenv.lib.platforms; linux;
license = licenses.gpl3;
maintainers =[ maintainers.ramkromberg ];
platforms = platforms.linux;
};
}

View file

@ -1,16 +1,17 @@
{ stdenv, fetchurl, pkgconfig, qmakeHook
{ stdenv, fetchFromGitHub, pkgconfig, qmakeHook
, python, qtbase, qttools, zlib }:
let
# qtEnv = with qt5; env "qt-${qtbase.version}" [ qtbase qttools ];
in stdenv.mkDerivation rec {
name = "tiled-${version}";
version = "0.17.0";
version = "0.18.2";
src = fetchurl {
name = "${name}.tar.gz";
url = "https://github.com/bjorn/tiled/archive/v${version}.tar.gz";
sha256 = "0c9gykxmq0sk0yyfdq81g9psd922scqzn5asskjydj84d80f5z7p";
src = fetchFromGitHub {
owner = "bjorn";
repo = "tiled";
rev = "v${version}";
sha256 = "087jl36g6w2g5l70gz573iwyvx3r7i8fijl3y4mmmf8pyqdyq1n2";
};
nativeBuildInputs = [ pkgconfig qmakeHook ];
@ -26,6 +27,6 @@ in stdenv.mkDerivation rec {
gpl2Plus # all the rest
];
platforms = platforms.linux;
maintainers = with maintainers; [ nckx ];
maintainers = [ maintainers.nckx ];
};
}

View file

@ -1,18 +1,23 @@
{stdenv, fetchurl, ncurses, gettext}:
{stdenv, fetchurl, ncurses, gettext, python3, makeWrapper }:
stdenv.mkDerivation {
name = "calcurse-4.0.0";
stdenv.mkDerivation rec {
name = "calcurse-${version}";
version = "4.2.2";
src = fetchurl {
url = http://calcurse.org/files/calcurse-4.0.0.tar.gz;
sha256 = "0d33cpkbhyidvm3xx6iw9ljqdvl6477c2kcwix3bs63nj0ch06v2";
url = "http://calcurse.org/files/${name}.tar.gz";
sha256 = "0il0y06akdqgy0f9p40m4x6arn66nh7sr1w1i41bszycs7div266";
};
buildInputs = [ncurses gettext];
buildInputs = [ncurses gettext python3 ];
nativeBuildInputs = [ makeWrapper ];
meta = {
postInstall = ''
makeWrapper ${python3}/bin/python3 $out/bin/calcurse-caldav
'';
meta = with stdenv.lib; {
description = "A calendar and scheduling application for the command line";
version = "4.0.0";
longDescription = ''
calcurse is a calendar and scheduling application for the command line. It helps
keep track of events, appointments and everyday tasks. A configurable notification
@ -21,7 +26,7 @@ stdenv.mkDerivation {
be used to filter and format appointments, making it suitable for use in scripts.
'';
homepage = http://calcurse.org/;
license = stdenv.lib.licenses.bsd2;
platforms = stdenv.lib.platforms.linux;
license = licenses.bsd2;
platforms = platforms.linux;
};
}

View file

@ -1,25 +1,20 @@
{ stdenv, fetchurl, libxml2Python, libxslt, makeWrapper
, python, pyserial, pygtk
}:
let
version = "20161018";
in
, python, pyserial, pygtk }:
stdenv.mkDerivation rec {
name = "chirp-daily-${version}";
inherit version;
version = "20170311";
src = fetchurl {
url = "http://trac.chirp.danplanet.com/chirp_daily/daily-${version}/chirp-daily-${version}.tar.gz";
sha256 = "0f3r919az4vvcgxzqmxvhrxa2byzk5algy7srzzs15ihkvyxcwkb";
url = "http://trac.chirp.danplanet.com/chirp_daily/daily-${version}/${name}.tar.gz";
sha256 = "0mvj650vm3bfk94b174gl99fj4jigrx38f1iciz1cp3gn8hcrcpj";
};
nativeBuildInputs = [ makeWrapper ];
buildInputs = [
makeWrapper
pyserial pygtk libxml2Python libxslt pyserial
];
phases = [ "unpackPhase" "installPhase" "fixupPhase" ];
installPhase = ''
mkdir -p $out/bin $out/share/chirp
cp -r . $out/share/chirp/

View file

@ -1,21 +1,25 @@
{ stdenv, fetchurl, cmake, qt4, libXfixes, libXtst}:
{ stdenv, fetchFromGitHub, cmake, qt4, libXfixes, libXtst}:
let version = "2.5.0";
in
stdenv.mkDerivation {
stdenv.mkDerivation rec {
name = "CopyQ-${version}";
src = fetchurl {
url = "https://github.com/hluk/CopyQ/archive/v${version}.tar.gz";
sha256 = "7726745056e8d82625531defc75b2a740d3c42131ecce1f3181bc0a0bae51fb1";
version = "2.9.0";
src = fetchFromGitHub {
owner = "hluk";
repo = "CopyQ";
rev = "v${version}";
sha256 = "1gnqsfh50w3qcnbghkpjr5qs42fgl6643lmg4mg4wam8a852s64f";
};
buildInputs = [ cmake qt4 libXfixes libXtst ];
nativeBuildInputs = [ cmake ];
buildInputs = [ qt4 libXfixes libXtst ];
meta = with stdenv.lib; {
homepage = "https://hluk.github.io/CopyQ";
homepage = https://hluk.github.io/CopyQ;
description = "Clipboard Manager with Advanced Features";
license = licenses.gpl3;
maintainers = with maintainers; [ willtim ];
maintainers = [ maintainers.willtim ];
# NOTE: CopyQ supports windows and osx, but I cannot test these.
# OSX build requires QT5.
platforms = platforms.linux;

View file

@ -2,18 +2,15 @@
stdenv.mkDerivation rec {
name = "devilspie2-${version}";
version = "0.39";
version = "0.42";
src = fetchurl {
url = "http://download.savannah.gnu.org/releases/devilspie2/devilspie2_0.39-src.tar.gz";
sha256 = "07b74ffc078e5f01525d9da7a1978b4c1a9725b814b344f83a1a203cf4caae09";
url = "http://download.savannah.gnu.org/releases/devilspie2/devilspie2_${version}-src.tar.gz";
sha256 = "119zb9x5i3y4cp30h4113psqxb5d7zxiyijpq02g8kds1wqvrx8i";
};
buildInputs = [ intltool pkgconfig glib gtk lua libwnck3 ];
patchPhase = ''
sed -i -e s@/usr/local@$out@ Makefile
'';
nativeBuildInputs = [ intltool pkgconfig ];
buildInputs = [ glib gtk lua libwnck3 ];
installPhase = ''
mkdir -p $out/bin $out/share/man/man1
@ -22,7 +19,7 @@ stdenv.mkDerivation rec {
'';
meta = with stdenv.lib; {
description = "Devilspie2 is a window matching utility";
description = "A window matching utility";
longDescription = ''
Devilspie2 is a window matching utility, allowing the user to
perform scripted actions on windows as they are created. For

View file

@ -2,14 +2,14 @@
stdenv.mkDerivation rec {
pname = "emem";
version = "0.2.43";
version = "0.2.45";
name = "${pname}-${version}";
inherit jdk;
src = fetchurl {
url = "https://github.com/ebzzry/${pname}/releases/download/v${version}/${pname}.jar";
sha256 = "0p3v28vjqyx961sfsd1h2cg2g2q0v03qd87dppbxqp7g5ppls91x";
sha256 = "1qjlz0sqjhx11vw8cc39h0sjgnfkrhgh94pv84z37b8hn42qingb";
};
phases = [ "buildPhase" "installPhase" ];

View file

@ -1,16 +0,0 @@
{ stdenv, fetchurl, fltk, openssl, libpng, libjpeg }:
stdenv.mkDerivation rec {
name = "htmldoc-1.8.27";
src = fetchurl {
url = http://ftp.easysw.com/pub/htmldoc/1.8.27/htmldoc-1.8.27-source.tar.bz2;
sha256 = "04wnxgx6fxdxwiy9vbawdibngwf55mi01hjrr5fkfs22fcix5zw9";
};
buildInputs = [ fltk openssl libpng libjpeg ];
meta = {
homepage = http://www.htmldoc.org/;
description = "Converts HTML files to indexed HTML, PS or PDF";
license = stdenv.lib.licenses.gpl2;
maintainers = with stdenv.lib.maintainers; [ viric ];
platforms = with stdenv.lib.platforms; linux;
};
}

View file

@ -1,18 +1,35 @@
{ stdenv, fetchFromGitHub, pkgconfig, cmake, boost, fftwFloat, qt5, gnuradio }:
{ stdenv
, fetchFromGitHub
, pkgconfig
, cmake
, boost
, fftwFloat
, qt5
, gnuradio
, liquid-dsp
}:
stdenv.mkDerivation rec {
name = "inspectrum-${version}";
version = "20160403";
version = "20170218";
src = fetchFromGitHub {
owner = "miek";
repo = "inspectrum";
rev = "27381dbb30f59267a429c04d17d792d3953a6b99";
sha256 = "0y4j62khq6fcv2qqlqi0kn2ix821m5gcqzg72nhc2zzfb3cdm9nm";
rev = "d8d1969a4cceeee0ebfd2f39e791fddd5155d4de";
sha256 = "05sarfin9wqkvgwn3fil1r4bay03cwzzhjwbdjslibc5chdrr2cn";
};
buildInputs = [ pkgconfig cmake qt5.qtbase fftwFloat boost gnuradio ];
buildInputs = [
pkgconfig
cmake
qt5.qtbase
fftwFloat
boost
gnuradio
liquid-dsp
];
meta = with stdenv.lib; {
description = "Tool for analysing captured signals from sdr receivers";
homepage = https://github.com/miek/inspectrum;

View file

@ -1,14 +1,15 @@
{ stdenv, fetchurl, python, rcs, git }:
{ stdenv, fetchurl, python, rcs, git, makeWrapper }:
stdenv.mkDerivation rec {
name = "src-1.11";
name = "src-${version}";
version = "1.12";
src = fetchurl {
url = "http://www.catb.org/~esr/src/${name}.tar.gz";
sha256 = "07kj0ri0s0vn8s54yvkyzaag332spxs0379r718b80y31c4mgbyl";
sha256 = "1m6rjbizx9win3jkciyx176sfy98r5arb1g3l6aqnqam9gpr44zm";
};
buildInputs = [ python rcs git ];
buildInputs = [ python rcs git makeWrapper ];
preConfigure = ''
patchShebangs .
@ -16,10 +17,16 @@ stdenv.mkDerivation rec {
makeFlags = [ "prefix=$(out)" ];
meta = {
postInstall = ''
wrapProgram $out/bin/src \
--suffix PATH ":" "${rcs}/bin"
'';
meta = with stdenv.lib; {
description = "Simple single-file revision control";
homepage = http://www.catb.org/~esr/src/;
license = stdenv.lib.licenses.bsd3;
platforms = stdenv.lib.platforms.all;
license = licenses.bsd3;
platforms = platforms.all;
maintainers = with maintainers; [ calvertvl ];
};
}

View file

@ -13,7 +13,6 @@ stdenv.mkDerivation rec {
buildInputs = [ libX11 libXrandr libXft ];
makeFlags = [ "prefix=$(out)" ];
installFlags = [ "prefix=$(out)" ];
meta = with stdenv.lib; {

View file

@ -74,7 +74,10 @@ let version = "5.4.0";
# The GNAT Makefiles did not pay attention to CFLAGS_FOR_TARGET for its
# target libraries and tools.
++ optional langAda ../gnat-cflags.patch
++ optional langFortran ../gfortran-driving.patch;
++ optional langFortran ../gfortran-driving.patch
# This could be applied unconditionally but I don't want to cause a full Linux rebuild.
++ optional stdenv.cc.isClang ./libcxx38-and-above.patch;
javaEcj = fetchurl {
# The `$(top_srcdir)/ecj.jar' file is automatically picked up at

View file

@ -0,0 +1,46 @@
This is a slightly modified version of https://svnweb.freebsd.org/ports/head/lang/gcc5/files/patch-libc%2B%2B?revision=432958&view=co&pathrev=432958,
which doesn't apply cleanly due to them using a slightly different format of patch from us. I just replaced the .orig file references with a/b paths.
--- a/gcc/auto-profile.c 2015-01-18 02:25:42 UTC
+++ b/gcc/auto-profile.c
@@ -19,11 +19,9 @@ along with GCC; see the file COPYING3.
<http://www.gnu.org/licenses/>. */
#include "config.h"
-#include "system.h"
-
-#include <string.h>
#include <map>
#include <set>
+#include "system.h"
#include "coretypes.h"
#include "hash-set.h"
--- a/gcc/graphite-isl-ast-to-gimple.c 2017-01-19 21:02:12 UTC
+++ b/gcc/graphite-isl-ast-to-gimple.c
@@ -38,6 +38,7 @@ extern "C" {
#endif
#endif
+#include <map>
#include "system.h"
#include "coretypes.h"
#include "hash-set.h"
@@ -75,7 +76,6 @@ extern "C" {
#include "tree-scalar-evolution.h"
#include "gimple-ssa.h"
#include "tree-into-ssa.h"
-#include <map>
#ifdef HAVE_isl
#include "graphite-poly.h"
--- a/gcc/system.h 2015-01-05 12:33:28 UTC
+++ b/gcc/system.h
@@ -217,6 +217,7 @@ extern int errno;
#ifdef __cplusplus
# include <algorithm>
# include <cstring>
+# include <new>
# include <utility>
#endif

View file

@ -2,11 +2,11 @@
stdenv.mkDerivation rec {
name = "nasm-${version}";
version = "2.11.08";
version = "2.12.02";
src = fetchurl {
url = "http://www.nasm.us/pub/nasm/releasebuilds/${version}/${name}.tar.bz2";
sha256 = "0ialkla6i63j8fpv840jy7k5mdf2wbqr98bvbcq0dp0b38ls18wx";
sha256 = "097318bjxvmffbjfd1k89parc04xf5jfxg2rr93581lccwf8kc00";
};
meta = with stdenv.lib; {

View file

@ -15,11 +15,11 @@ stdenv.mkDerivation rec {
cmakeFlags = [ "-DDETECT_HDF5=ON" ];
patches = [ ./use-unix-config-on-OS-X.patch ];
meta = with stdenv.lib; {
description = "C++ linear algebra library";
homepage = http://arma.sourceforge.net;
license = licenses.apl2;
license = licenses.asl20;
platforms = platforms.unix;
maintainers = with maintainers; [ juliendehos knedlsepp ];
};

View file

@ -0,0 +1,34 @@
{ stdenv, fetchFromGitHub, autoreconfHook,
libtool, pkgconfig, re2, texinfo }:
stdenv.mkDerivation rec {
name = "cre2-${version}";
version = "0.3.0";
src = fetchFromGitHub {
owner = "marcomaggi";
repo = "cre2";
rev = version;
sha256 = "12yrdad87jjqrhbqm02hzsayan2402vf61a9x1b2iabv6d1c1bnj";
};
nativeBuildInputs = [
autoreconfHook
libtool
pkgconfig
];
buildInputs = [ re2 texinfo ];
NIX_LDFLAGS="-lre2 -lpthread";
configureFlags = [
"--enable-maintainer-mode"
];
meta = with stdenv.lib; {
homepage = http://marcomaggi.github.io/docs/cre2.html;
description = "C Wrapper for RE2";
license = licenses.bsd3;
platforms = platforms.all;
};
}

View file

@ -0,0 +1,23 @@
{stdenv, fetchFromGitHub, autoreconfHook }:
stdenv.mkDerivation rec {
name = "liquid-dsp-${version}";
version = "20170307";
src = fetchFromGitHub {
owner = "jgaeddert";
repo = "liquid-dsp";
rev = "8c1978fa4f5662b8849fe712be716958f29cec0e";
sha256 = "0zpxvdsrw0vzzp3iaag3wh4z8ygl7fkswgjppp2fz2zhhqh93k2w";
};
nativeBuildInputs = [ autoreconfHook ];
meta = {
homepage = http://liquidsdr.org/;
description = "Digital signal processing library for software-defined radios";
license = stdenv.lib.licenses.mit;
platforms = stdenv.lib.platforms.unix;
};
}

View file

@ -0,0 +1,31 @@
{ stdenv, buildPythonPackage, fetchPypi, pytest, libsodium }:
buildPythonPackage rec {
pname = "libnacl";
version = "1.5.0";
name = "${pname}-${version}";
src = fetchPypi {
inherit pname version;
sha256 = "1ph042x0cfysj16mmjif40pxn505rg5c9n94s972dgc0mfgvrwhs";
};
buildInputs = [ pytest ];
propagatedBuildInputs = [ libsodium ];
postPatch = ''
substituteInPlace "./libnacl/__init__.py" --replace "ctypes.cdll.LoadLibrary('libsodium.so')" "ctypes.cdll.LoadLibrary('${libsodium}/lib/libsodium.so')"
'';
checkPhase = ''
py.test
'';
meta = with stdenv.lib; {
maintainers = with maintainers; [ xvapx ];
description = "Python bindings for libsodium based on ctypes";
homepage = "https://pypi.python.org/pypi/libnacl";
license = licenses.asl20;
platforms = platforms.linux;
};
}

View file

@ -1,26 +1,39 @@
{ stdenv, fetchFromGitHub }:
{ stdenv, fetchurl, unzip }:
stdenv.mkDerivation rec {
name = "objconv-${version}";
version = "2.16";
version = "2.44";
src = fetchFromGitHub {
owner = "vertis";
repo = "objconv";
rev = "${version}";
sha256 = "1by2bbrampwv0qy8vn4hhs49rykczyj7q8g373ym38da3c95bym2";
src = fetchurl {
# Versioned archive of objconv sources maintained by orivej.
url = "https://archive.org/download/objconv/${name}.zip";
sha256 = "1dlnpv8qwz0rwivpbgk84kmsjz3vh1i149z44ha2dvg8afzyfhjl";
};
buildPhase = "c++ -o objconv -O2 src/*.cpp";
nativeBuildInputs = [ unzip ];
installPhase = "mkdir -p $out/bin && mv objconv $out/bin";
outputs = [ "out" "doc" ];
unpackPhase = ''
mkdir -p "$name"
cd "$name"
unpackFile "$src"
unpackFile source.zip
'';
buildPhase = "c++ -o objconv -O2 *.cpp";
installPhase = ''
mkdir -p $out/bin $out/doc/objconv
mv objconv $out/bin
mv objconv-instructions.pdf $out/doc/objconv
'';
meta = with stdenv.lib; {
description = "Used for converting object files between COFF/PE, OMF, ELF and Mach-O formats for all 32-bit and 64-bit x86 platforms.";
description = "Object and executable file converter, modifier and disassembler";
homepage = http://www.agner.org/optimize/;
license = licenses.gpl2;
maintainers = with maintainers; [ vrthra ];
platforms = with platforms; unix;
maintainers = with maintainers; [ orivej vrthra ];
platforms = platforms.unix;
};
}

View file

@ -4,11 +4,11 @@ with stdenv.lib;
stdenv.mkDerivation rec {
name = "neo4j-${version}";
version = "3.1.1";
version = "3.1.2";
src = fetchurl {
url = "http://dist.neo4j.org/neo4j-community-${version}-unix.tar.gz";
sha256 = "1jz257brrrblxq0jdh79mmqand6lwi632y8sy5j6dxl3ssd3hrkx";
sha256 = "0kvbsm9mjwqyl3q2myif28a0f11i4rfq3hik07w9cdnrwyd75s40";
};
buildInputs = [ makeWrapper jre8 which gawk ];

View file

@ -1,4 +1,6 @@
{ stdenv, fetchurl, getopt, lua, boost, pkgconfig }:
{ stdenv, fetchurl, getopt, lua, boost, pkgconfig, gcc }:
with stdenv.lib;
stdenv.mkDerivation rec {
name = "highlight-${version}";
@ -9,16 +11,23 @@ stdenv.mkDerivation rec {
sha256 = "8a14b49f5e0c07daa9f40b4ce674baa00bb20061079473a5d386656f6d236d05";
};
nativeBuildInputs = [ pkgconfig ];
nativeBuildInputs = [ pkgconfig ] ++ optional stdenv.isDarwin gcc ;
buildInputs = [ getopt lua boost ];
preConfigure = ''makeFlags="PREFIX=$out conf_dir=$out/etc/highlight/"'';
prePatch = stdenv.lib.optionalString stdenv.cc.isClang ''
substituteInPlace src/makefile \
--replace 'CXX=g++' 'CXX=clang++'
'';
preConfigure = ''
makeFlags="PREFIX=$out conf_dir=$out/etc/highlight/"
'';
meta = with stdenv.lib; {
description = "Source code highlighting tool";
homepage = "http://www.andre-simon.de/doku/highlight/en/highlight.php";
platforms = platforms.linux;
maintainers = maintainers.ndowens;
platforms = platforms.unix;
maintainers = [ maintainers.ndowens ];
};
}

View file

@ -0,0 +1,34 @@
{ stdenv, fetchurl
, SystemConfiguration ? null, Foundation ? null
}:
assert stdenv.isDarwin -> SystemConfiguration != null
&& Foundation != null;
stdenv.mkDerivation rec {
version = "1.8.29";
name = "htmldoc-${version}";
src = fetchurl {
url = "https://github.com/michaelrsweet/htmldoc/releases/download"
+ "/release-${version}/htmldoc-${version}-source.tar.gz";
sha256 = "15x0xdf487j4i4gfap5yr83airxnbp2v4lxaz79a4s3iirrq39p0";
};
buildInputs = with stdenv;
lib.optional isDarwin SystemConfiguration
++ lib.optional isDarwin Foundation;
meta = with stdenv.lib; {
description = "Converts HTML files to PostScript and PDF";
homepage = https://michaelrsweet.github.io/htmldoc;
license = licenses.gpl2;
maintainers = with maintainers; [ viric shanemikel ];
platforms = with platforms; linux ++ darwin;
longDescription = ''
HTMLDOC is a program that reads HTML source files or web pages and
generates corresponding HTML, PostScript, or PDF files with an optional
table of contents.
'';
};
}

View file

@ -2255,9 +2255,12 @@ with pkgs;
hfsprogs = callPackage ../tools/filesystems/hfsprogs { };
highlight = callPackage ../tools/text/highlight {
highlight = callPackage ../tools/text/highlight ({
lua = lua5;
};
} // lib.optionalAttrs stdenv.isDarwin {
# doesn't build with clang_37
inherit (llvmPackages_38) stdenv;
});
homesick = callPackage ../tools/misc/homesick { };
@ -4378,6 +4381,10 @@ with pkgs;
html-xml-utils = callPackage ../tools/text/xml/html-xml-utils { };
htmldoc = callPackage ../tools/typesetting/htmldoc {
inherit (darwin.apple_sdk.frameworks) SystemConfiguration Foundation;
};
rcm = callPackage ../tools/misc/rcm {};
tftp-hpa = callPackage ../tools/networking/tftp-hpa {};
@ -5377,6 +5384,7 @@ with pkgs;
lld = llvmPackages_4.lld;
lldb = llvmPackages.lldb;
lldb_4 = llvmPackages_4.lldb;
llvm = llvmPackages.llvm;
@ -7192,6 +7200,8 @@ with pkgs;
cracklib = callPackage ../development/libraries/cracklib { };
cre2 = callPackage ../development/libraries/cre2 { };
cryptopp = callPackage ../development/libraries/crypto++ { };
curlcpp = callPackage ../development/libraries/curlcpp { };
@ -8907,6 +8917,8 @@ with pkgs;
lirc = callPackage ../development/libraries/lirc { };
liquid-dsp = callPackage ../development/libraries/liquid-dsp { };
liquidfun = callPackage ../development/libraries/liquidfun { };
live555 = callPackage ../development/libraries/live555 { };
@ -13977,10 +13989,6 @@ with pkgs;
ht = callPackage ../applications/editors/ht { };
htmldoc = callPackage ../applications/misc/htmldoc {
fltk = fltk13;
};
hugin = callPackage ../applications/graphics/hugin { };
hugo = callPackage ../applications/misc/hugo { };

View file

@ -13915,6 +13915,10 @@ in {
clblas = pkgs.clblas-cuda;
};
libnacl = callPackage ../development/python-modules/libnacl/default.nix {
inherit (pkgs) libsodium;
};
libplist = if isPy3k then throw "libplist not supported for interpreter ${python.executable}" else
(pkgs.libplist.override{python2Packages=self; }).py;

View file

@ -41,23 +41,18 @@ let
jobs.lib-tests
jobs.stdenv.x86_64-linux
jobs.stdenv.i686-linux
jobs.stdenv.aarch64-linux
jobs.stdenv.x86_64-darwin
jobs.linux.x86_64-linux
jobs.linux.i686-linux
jobs.linux.aarch64-linux
jobs.python.x86_64-linux
jobs.python.i686-linux
jobs.python.aarch64-linux
jobs.python.x86_64-darwin
jobs.python3.x86_64-linux
jobs.python3.i686-linux
jobs.python3.aarch64-linux
jobs.python3.x86_64-darwin
# Many developers use nix-repl
jobs.nix-repl.x86_64-linux
jobs.nix-repl.i686-linux
jobs.nix-repl.aarch64-linux
jobs.nix-repl.x86_64-darwin
# Needed by travis-ci to test PRs
jobs.nox.i686-linux
@ -66,7 +61,6 @@ let
# Ensure that X11/GTK+ are in order.
jobs.thunderbird.x86_64-linux
jobs.thunderbird.i686-linux
jobs.thunderbird.aarch64-linux
# Ensure that basic stuff works on darwin
jobs.git.x86_64-darwin
jobs.mysql.x86_64-darwin